libglom-1.20: Glom::FoundSet Class Reference

libglom-1.20 1.20.8

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes
Glom::FoundSet Class Reference

A grouping of information about a view of a table, including what records are viewed (the where clause), how the are sorted (the sort clause). More...

Collaboration diagram for Glom::FoundSet:
[legend]

List of all members.

## Public Types
typedef std::pair< sharedptr < const LayoutItem_Field > , bool > | type_pair_sort_field
| field, ascending
typedef std::list < type_pair_sort_field > | type_sort_clause
## Public Member Functions
| FoundSet ()
| FoundSet (const FoundSet& src)
FoundSet& | operator= (const FoundSet& src)
bool | operator== (const FoundSet& src) const
## Public Attributes
Glib::ustring | m_table_name
sharedptr< const Relationship > | m_extra_join
Gnome::Gda::SqlExpr | m_where_clause
type_sort_clause | m_sort_clause

## Detailed Description

A grouping of information about a view of a table, including what records are viewed (the where clause), how the are sorted (the sort clause).

## Member Typedef Documentation

typedef std::pair< sharedptr<const LayoutItem_Field>, bool> Glom::FoundSet::type_pair_sort_field

field, ascending

typedef std::list<type_pair_sort_field> Glom::FoundSet::type_sort_clause

## Constructor & Destructor Documentation

Glom::FoundSet::FoundSet | ( |  | ) |

Glom::FoundSet::FoundSet | ( | const FoundSet& | src | ) |

## Member Function Documentation

FoundSet& Glom::FoundSet::operator= | ( | const FoundSet& | src | ) |

bool Glom::FoundSet::operator== | ( | const FoundSet& | src | ) | const

## Member Data Documentation

sharedptr<const Relationship> Glom::FoundSet::m_extra_join

type_sort_clause Glom::FoundSet::m_sort_clause

Glib::ustring Glom::FoundSet::m_table_name

Gnome::Gda::SqlExpr Glom::FoundSet::m_where_clause

The documentation for this class was generated from the following file:

- libglom/data_structure/foundset.h